Delete a Workspace field
DELETE
Delete a Workspace field and all its values from every List. Can't be undone.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
field_id*stringMatch
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$expected_version?integerRange
0 < value <= 9007199254740991Idempotency-Key*stringLength
8 <= length <= 200SMB-Workspace-Id*stringFormat
uuidSuccessful authorized response.
application/json- response
data*request_id*stringaction_receipt*idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16curl -X DELETE 'https://example.com/v1/workspace-fields/string' \ -H 'Idempotency-Key: stringst' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "data": { "field_id": "string", "deleted": true }, "request_id": "string", "action_receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "delete_workspace_field", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true}